GET
Costs

Authorizations

Authorization
string
header
required

Provide your API key in the Authorization header using Bearer auth

Query Parameters

start_time
integer<int64>

Start time (Unix seconds, inclusive), required; aligned down to a UTC bucket boundary

end_time
integer<int64>

End time (Unix seconds, exclusive); now if omitted

bucket_width
string

Bucket width; only 1d is supported

group_by
string[]

Group by: project_id / line_item (repeatable)

project_ids
string[]

Only these projects (proj_ prefix, repeatable)

limit
integer<int32>

Number of buckets: 1d default 7 max 31, 1h default 24 max 168, 1m default 60 max 1440

page
string

Cursor: next_page of the previous page

Response

OK

A page of time buckets

object
string

Always page

Example:

"page"

data
object[]

Time buckets in chronological order

has_more
boolean

Whether more buckets follow

next_page
string

Cursor for the next page, passed as the page parameter